Name:           perl-RDF-Prefixes
Version:        0.005
Release:    2%{?dist}
Summary:        Simple way to turn URIs into QNames
License:        (GPL+ or Artistic) and CC-BY-SA and Public Domain
URL:            https://metacpan.org/release/RDF-Prefixes
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/RDF-Prefixes-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(strict)
BuildRequires:  perl(:VERSION) >= 5.10.0
BuildRequires:  perl(constant)
BuildRequires:  perl(overload)
BuildRequires:  perl(utf8)
BuildRequires:  perl(Test::More) >= 0.61
BuildRequires:  perl(Test::Warn)
Suggests:       perl(Carp)

%description
This Perl module generates pretty prefixes, reducing
"http://purl.org/dc/terms" to "dc" rather than something too generic like like
"ns01", and provides a context for keeping track of name spaces already used,
so that when "http://purl.org/dc/elements/1.1/" is encountered, it won't stomp
on the previous definition of "dc".

%prep
%setup -q -n RDF-Prefixes-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING COPYRIGHT CREDITS examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.005-2
- Rebuilt for loongarch64

* Wed Jul 31 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.005-1
- initial build
